summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doins
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2010-08-18 23:31:49 -0700
committerZac Medico <zmedico@gentoo.org>2010-08-18 23:31:49 -0700
commit0913983443dd9cca07705ca8381c2e5c38b0de73 (patch)
treec8de4320424ad75cb84f0836c5e0213f8945eb61 /bin/ebuild-helpers/doins
parent214ba4d809e352cadde48dfc9f8b203cb1bd21a6 (diff)
downloadportage-0913983443dd9cca07705ca8381c2e5c38b0de73.tar.gz
portage-0913983443dd9cca07705ca8381c2e5c38b0de73.tar.bz2
portage-0913983443dd9cca07705ca8381c2e5c38b0de73.zip
* In helpers_die arguments, display ${0##*/} instead of $0 since $0
is needlessly long. * When calling helpers_die from a function, use ${FUNCNAME[0]} in arguments instead of $0.
Diffstat (limited to 'bin/ebuild-helpers/doins')
-rwxr-xr-xbin/ebuild-helpers/doins6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index c59b9bcfd..bbc4e97b6 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -21,7 +21,7 @@ if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
vecho "You should not use \${D} with helpers." 1>&2
vecho " --> ${INSDESTTREE}" 1>&2
vecho "-------------------------------------------------------" 1>&2
- helpers_die "$0 used with \${D}"
+ helpers_die "${0##*/} used with \${D}"
exit 1
fi
@@ -127,4 +127,4 @@ for x in "$@" ; do
fi
done
rm -rf "$TMP"
-[[ $failed -ne 0 || $success -eq 0 ]] && { helpers_die "$0 failed"; exit 1; } || exit 0
+[[ $failed -ne 0 || $success -eq 0 ]] && { helpers_die "${0##*/} failed"; exit 1; } || exit 0